<header>
    <nav><ul>
        <li><a href="/ReadMe">ReadMe</a></li>
        <li><a href="/EditMe">EditMe</a></li>
    </ul></nav>

    <!--<navigation>
        <a href="/ReadMe" target="main> article">ReadMe</a>
        <a href="/EditMe" target="main> article">EditMe</a>
    </navigation>-->

    <menu>
        <dynamic-icon id="switch-theme" href="/$/template/switch-light-dark.html"></dynamic-icon>
        <dynamic-icon id="explore" src="/$/icon/move-to-folder-bold-solar.svg"></dynamic-icon>
    </menu>

<style scoped>
:scope:is(header) {
    display: flex;
    &> nav> ul {
        display: flex;
        list-style-type: none;
        &> li {
            padding-right: 1em;

            & dynamic-icon {
                width: 1.5em;
            }
        }
    }
    & #explore {
        position: absolute;
        top: 1em; left: 1em;
    }
    & #switch-theme {
        position: absolute;
        top: 1em; right: 1em;
    }
}
</style>
</header>


<!--
<template is="navigation">
<script rendered>
const items = this.children?.map($child =>
    `<li>${$child.outerHTML}</li>`).join('')
return `<nav><ul>${items}</ul></nav>`
</script>
<style hosted>
nav {
    background: pink;
}
</style>
</template>
-->


<!--
<template is="directory">
<script render attributes="name">
return `<li><span>${this.name}</span><ul><slot/></ul></li>`
</script>
</template>

<template is="file">
<script render attributes="name">
return `<li><span>${this.name}</span></li>`
</script>
</template>
-->